AI Gateway
Get a endpoint by name
Get a endpoint by name (returns endpoint if user has access and endpoint is active)
GET
/
api
/
aigateway
/
v1
/
endpoints
/
{endpointName}
Get a endpoint by name
curl --request GET \
--url https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"creationDate": "2022-04-23T18:25:43.511Z",
"endpointId": "62604702b7e5d347dbe7a909",
"endpointName": "completions",
"endpointType": "llm/v1/completions",
"modelConfig": {
"openai_api_key": "58utu49034093nc9cc9n"
},
"modelName": "gpt-4",
"modelProvider": "openai"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Name of the endpoint to get
Query Parameters
Number of input tokens sent to the endpoint
Response
Success
ISO 8601 formatted time of when the Endpoint was created
Example:
"2022-04-23T18:25:43.511Z"
ID of the endpoint
Example:
"62604702b7e5d347dbe7a909"
Valid name of the endpoint
Example:
"completions"
Type of the endpoint
Example:
"llm/v1/completions"
Configuration for the model
Show child attributes
Show child attributes
Example:
{ "openai_api_key": "58utu49034093nc9cc9n" }
Name of the model
Example:
"gpt-4"
Provider of the model
Example:
"openai"
Last modified on October 8, 2026
Was this page helpful?
⌘I
Get a endpoint by name
curl --request GET \
--url https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName} \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Domino-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Domino-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}")
.header("X-Domino-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Domino-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"creationDate": "2022-04-23T18:25:43.511Z",
"endpointId": "62604702b7e5d347dbe7a909",
"endpointName": "completions",
"endpointType": "llm/v1/completions",
"modelConfig": {
"openai_api_key": "58utu49034093nc9cc9n"
},
"modelName": "gpt-4",
"modelProvider": "openai"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}